Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface SimpleValue

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  FilterXmlObject, JavaBase64Holder, JavaBase64HolderEx, JavaBooleanHolder, JavaBooleanHolderEx, JavaDecimalHolder, JavaDecimalHolderEx, JavaDoubleHolder, JavaDoubleHolderEx, JavaFloatHolder, JavaFloatHolderEx, JavaGDateHolderEx, JavaGDurationHolderEx, JavaHexBinaryHolder, JavaHexBinaryHolderEx, JavaIntegerHolder, JavaIntegerHolderEx, JavaIntHolder, JavaIntHolderEx, JavaLongHolder, JavaLongHolderEx, JavaNotationHolder, JavaNotationHolderEx, JavaQNameHolder, JavaQNameHolderEx, JavaStringEnumerationHolderEx, JavaStringHolder, JavaStringHolderEx, JavaUriHolder, JavaUriHolderEx, XmlAnySimpleTypeImpl, XmlAnySimpleTypeRestriction, XmlAnyTypeImpl, XmlAnyUriImpl, XmlAnyUriRestriction, XmlBase64BinaryImpl, XmlBase64BinaryRestriction, XmlBooleanImpl, XmlBooleanRestriction, XmlByteImpl, XmlComplexContentImpl, XmlDateImpl, XmlDateTimeImpl, XmlDecimalImpl, XmlDecimalRestriction, XmlDoubleImpl, XmlDoubleRestriction, XmlDurationImpl, XmlEntitiesImpl, XmlEntityImpl, XmlFloatImpl, XmlFloatRestriction, XmlGDayImpl, XmlGMonthDayImpl, XmlGMonthImpl, XmlGYearImpl, XmlGYearMonthImpl, XmlHexBinaryImpl, XmlHexBinaryRestriction, XmlIdImpl, XmlIdRefImpl, XmlIdRefsImpl, XmlIntegerImpl, XmlIntegerRestriction, XmlIntImpl, XmlIntRestriction, XmlLanguageImpl, XmlListImpl, XmlLongImpl, XmlLongRestriction, XmlNameImpl, XmlNCNameImpl, XmlNegativeIntegerImpl, XmlNmTokenImpl, XmlNmTokensImpl, XmlNonNegativeIntegerImpl, XmlNonPositiveIntegerImpl, XmlNormalizedStringImpl, XmlNotationImpl, XmlNotationRestriction, XmlObjectBase, XmlPositiveIntegerImpl, XmlQNameImpl, XmlQNameRestriction, XmlShortImpl, XmlStringEnumeration, XmlStringImpl, XmlStringRestriction, XmlTimeImpl, XmlTokenImpl, XmlUnionImpl, XmlUnsignedByteImpl, XmlUnsignedIntImpl, XmlUnsignedLongImpl, XmlUnsignedShortImpl

    public interface SimpleValue

extends XmlObject

All XmlObject implementations can be coerced to SimpleValue. For any given schema type, only a subset of the conversion methods will work. Others will throw an exception.

SimpleValue is useful for declaring variables which can hold more than one similar schema type that may not happen to have a common XML base type, for example, two list types, or two unrelated integer restrictions that happen to fit into an int.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlbeans.XmlObject
`XmlObject.Factory`

Field Summary

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL, type`

Method Summary
`java.math.BigDecimal` | `bigDecimalValue()` Deprecated. replaced with `getBigDecimalValue()`
`java.math.BigInteger` | `bigIntegerValue()` Deprecated. replaced with `getBigIntegerValue()`
`boolean` | `booleanValue()` Deprecated. replaced with `getBooleanValue()`
`byte[]` | `byteArrayValue()` Deprecated. replaced with `getByteArrayValue()`
`byte` | `byteValue()` Deprecated. replaced with `getByteValue()`
`java.util.Calendar` | `calendarValue()` Deprecated. replaced with `getCalendarValue()`
`java.util.Date` | `dateValue()` Deprecated. replaced with `getDateValue()`
`double` | `doubleValue()` Deprecated. replaced with `getDoubleValue()`
`StringEnumAbstractBase` | `enumValue()` Deprecated. replaced with `getEnumValue()`
`float` | `floatValue()` Deprecated. replaced with `getFloatValue()`
`GDate` | `gDateValue()` Deprecated. replaced with `getGDateValue()`
`GDuration` | `gDurationValue()` Deprecated. replaced with `getGDurationValue()`
`java.math.BigDecimal` | `getBigDecimalValue()` Returns the value as a `BigDecimal`.
`java.math.BigInteger` | `getBigIntegerValue()` Returns the value as a `BigInteger`.
`boolean` | `getBooleanValue()` Returns the value as a boolean.
`byte[]` | `getByteArrayValue()` Returns the value as a byte array.
`byte` | `getByteValue()` Returns the value as a byte.
`java.util.Calendar` | `getCalendarValue()` Returns the value as a `Calendar`.
`java.util.Date` | `getDateValue()` Returns the value as a `Date`.
`double` | `getDoubleValue()` Returns the value as a double.
`StringEnumAbstractBase` | `getEnumValue()` Returns the value as a `StringEnumAbstractBase`.
`float` | `getFloatValue()` Returns the value as a float.
`GDate` | `getGDateValue()` Returns the value as a `GDate`.
`GDuration` | `getGDurationValue()` Returns the value as a `GDuration`.
`int` | `getIntValue()` Returns the value as an int.
`java.util.List` | `getListValue()` Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
`long` | `getLongValue()` Returns the value as a long.
`java.lang.Object` | `getObjectValue()` Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).
`javax.xml.namespace.QName` | `getQNameValue()` Returns the value as a `QName`.
`short` | `getShortValue()` Returns the value as a short.
`java.lang.String` | `getStringValue()` Returns the value as a `String`.
`SchemaType` | `instanceType()` The same as getSchemaType unless this is a union instance or nil value.
`int` | `intValue()` Deprecated. replaced with `getIntValue()`
`java.util.List` | `listValue()` Deprecated. replaced with `getListValue()`
`long` | `longValue()` Deprecated. replaced with `getLongValue()`
`void` | `objectSet(java.lang.Object obj)` Deprecated. replaced with `setObjectValue(java.lang.Object)`
`java.lang.Object` | `objectValue()` Deprecated. replaced with `getObjectValue()`
`javax.xml.namespace.QName` | `qNameValue()` Deprecated. replaced with `getQNameValue()`
`void` | `set(java.math.BigDecimal obj)` Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`
`void` | `set(java.math.BigInteger obj)` Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`
`void` | `set(boolean v)` Deprecated. replaced with `setBooleanValue(boolean)`
`void` | `set(byte v)` Deprecated. replaced with `setByteValue(byte)`
`void` | `set(byte[] obj)` Deprecated. replaced with `setByteArrayValue(byte[])`
`void` | `set(java.util.Calendar obj)` Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
`void` | `set(java.util.Date obj)` Deprecated. replaced with `setDateValue(java.util.Date)`
`void` | `set(double v)` Deprecated. replaced with `setDoubleValue(double)`
`void` | `set(float v)` Deprecated. replaced with `setFloatValue(float)`
`void` | `set(GDateSpecification obj)` Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
`void` | `set(GDurationSpecification obj)` Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`
`void` | `set(int v)` Deprecated. replaced with `setIntValue(int)`
`void` | `set(java.util.List obj)` Deprecated. replaced with `setListValue(java.util.List)`
`void` | `set(long v)` Deprecated. replaced with `setLongValue(long)`
`void` | `set(javax.xml.namespace.QName obj)` Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`
`void` | `set(short v)` Deprecated. replaced with `setShortValue(short)`
`void` | `set(java.lang.String obj)` Deprecated. replaced with `setStringValue(java.lang.String)`
`void` | `set(StringEnumAbstractBase obj)` Deprecated. replaced with `setEnumValue(org.apache.xmlbeans.StringEnumAbstractBase)`
`void` | `setBigDecimalValue(java.math.BigDecimal obj)` Sets the value as a `BigDecimal`.
`void` | `setBigIntegerValue(java.math.BigInteger obj)` Sets the value as a `BigInteger`.
`void` | `setBooleanValue(boolean v)` Sets the value as a boolean.
`void` | `setByteArrayValue(byte[] obj)` Sets the value as a byte array.
`void` | `setByteValue(byte v)` Sets the value as a byte.
`void` | `setCalendarValue(java.util.Calendar obj)` Sets the value as a `Calendar`.
`void` | `setDateValue(java.util.Date obj)` Sets the value as a `Date`.
`void` | `setDoubleValue(double v)` Sets the value as a double.
`void` | `setEnumValue(StringEnumAbstractBase obj)` Sets the value as a `StringEnumAbstractBase`.
`void` | `setFloatValue(float v)` Sets the value as a float.
`void` | `setGDateValue(GDate obj)` Sets the value as a `GDate`.
`void` | `setGDurationValue(GDuration obj)` Sets the value as a `GDuration`.
`void` | `setIntValue(int v)` Sets the value as an int.
`void` | `setListValue(java.util.List obj)` Sets the value as a `List`.
`void` | `setLongValue(long v)` Sets the value as a long.
`void` | `setObjectValue(java.lang.Object obj)` Sets the value as an arbitrary `Object`.
`void` | `setQNameValue(javax.xml.namespace.QName obj)` Sets the value as a `QName`.
`void` | `setShortValue(short v)` Sets the value as a short.
`void` | `setStringValue(java.lang.String obj)` Sets the value as a `String`.
`short` | `shortValue()` Deprecated. replaced with `getShortValue()`
`java.lang.String` | `stringValue()` Deprecated. replaced with `getStringValue()`
`java.util.List` | `xgetListValue()` Returns the value as a `List` of XmlAnySimpleType objects.
`java.util.List` | `xlistValue()` Deprecated. replaced with `xgetListValue()`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Method Detail

### instanceType

    SchemaType instanceType()

  The same as getSchemaType unless this is a union instance or nil value.

  For unions, this returns the non-union consituent type of this instance. This type may change if setters are called that cause the instance to change to another constituent type of the union.

  For nil values, this returns null.

### getStringValue

    java.lang.String getStringValue()

  Returns the value as a `String`.

### getBooleanValue

    boolean getBooleanValue()

  Returns the value as a boolean.

### getByteValue

    byte getByteValue()

  Returns the value as a byte.

### getShortValue

    short getShortValue()

  Returns the value as a short.

### getIntValue

    int getIntValue()

  Returns the value as an int.

### getLongValue

    long getLongValue()

  Returns the value as a long.

### getBigIntegerValue

    java.math.BigInteger getBigIntegerValue()

  Returns the value as a `BigInteger`.

### getBigDecimalValue

    java.math.BigDecimal getBigDecimalValue()

  Returns the value as a `BigDecimal`.

### getFloatValue

    float getFloatValue()

  Returns the value as a float.

### getDoubleValue

    double getDoubleValue()

  Returns the value as a double.

### getByteArrayValue

    byte[] getByteArrayValue()

  Returns the value as a byte array.

### getEnumValue

    StringEnumAbstractBase getEnumValue()

  Returns the value as a `StringEnumAbstractBase`.

### getCalendarValue

    java.util.Calendar getCalendarValue()

  Returns the value as a `Calendar`.

### getDateValue

    java.util.Date getDateValue()

  Returns the value as a `Date`.

### getGDateValue

    GDate getGDateValue()

  Returns the value as a `GDate`.

### getGDurationValue

    GDuration getGDurationValue()

  Returns the value as a `GDuration`.

### getQNameValue

    javax.xml.namespace.QName getQNameValue()

  Returns the value as a `QName`.

### getListValue

    java.util.List getListValue()

  Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).

### xgetListValue

    java.util.List xgetListValue()

  Returns the value as a `List` of XmlAnySimpleType objects.

### getObjectValue

    java.lang.Object getObjectValue()

  Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration).

### setStringValue

    void setStringValue(java.lang.String obj)

  Sets the value as a `String`.

### setBooleanValue

    void setBooleanValue(boolean v)

  Sets the value as a boolean.

### setByteValue

    void setByteValue(byte v)

  Sets the value as a byte.

### setShortValue

    void setShortValue(short v)

  Sets the value as a short.

### setIntValue

    void setIntValue(int v)

  Sets the value as an int.

### setLongValue

    void setLongValue(long v)

  Sets the value as a long.

### setBigIntegerValue

    void setBigIntegerValue(java.math.BigInteger obj)

  Sets the value as a `BigInteger`.

### setBigDecimalValue

    void setBigDecimalValue(java.math.BigDecimal obj)

  Sets the value as a `BigDecimal`.

### setFloatValue

    void setFloatValue(float v)

  Sets the value as a float.

### setDoubleValue

    void setDoubleValue(double v)

  Sets the value as a double.

### setByteArrayValue

    void setByteArrayValue(byte[] obj)

  Sets the value as a byte array.

### setEnumValue

    void setEnumValue(StringEnumAbstractBase obj)

  Sets the value as a `StringEnumAbstractBase`.

### setCalendarValue

    void setCalendarValue(java.util.Calendar obj)

  Sets the value as a `Calendar`.

### setDateValue

    void setDateValue(java.util.Date obj)

  Sets the value as a `Date`.

### setGDateValue

    void setGDateValue(GDate obj)

  Sets the value as a `GDate`.

### setGDurationValue

    void setGDurationValue(GDuration obj)

  Sets the value as a `GDuration`.

### setQNameValue

    void setQNameValue(javax.xml.namespace.QName obj)

  Sets the value as a `QName`.

### setListValue

    void setListValue(java.util.List obj)

  Sets the value as a `List`.

### setObjectValue

    void setObjectValue(java.lang.Object obj)

  Sets the value as an arbitrary `Object`.

### stringValue

    java.lang.String stringValue()

  Deprecated. replaced with `getStringValue()`

  Returns the value as a `String`. *

### booleanValue

    boolean booleanValue()

  Deprecated. replaced with `getBooleanValue()`

  Returns the value as a boolean. *

### byteValue

    byte byteValue()

  Deprecated. replaced with `getByteValue()`

  Returns the value as a byte. *

### shortValue

    short shortValue()

  Deprecated. replaced with `getShortValue()`

  Returns the value as a short. *

### intValue

    int intValue()

  Deprecated. replaced with `getIntValue()`

  Returns the value as an int. *

### longValue

    long longValue()

  Deprecated. replaced with `getLongValue()`

  Returns the value as a long. *

### bigIntegerValue

    java.math.BigInteger bigIntegerValue()

  Deprecated. replaced with `getBigIntegerValue()`

  Returns the value as a `BigInteger`. *

### bigDecimalValue

    java.math.BigDecimal bigDecimalValue()

  Deprecated. replaced with `getBigDecimalValue()`

  Returns the value as a `BigDecimal`. *

### floatValue

    float floatValue()

  Deprecated. replaced with `getFloatValue()`

  Returns the value as a float. *

### doubleValue

    double doubleValue()

  Deprecated. replaced with `getDoubleValue()`

  Returns the value as a double. *

### byteArrayValue

    byte[] byteArrayValue()

  Deprecated. replaced with `getByteArrayValue()`

  Returns the value as a byte array. *

### enumValue

    StringEnumAbstractBase enumValue()

  Deprecated. replaced with `getEnumValue()`

  Returns the value as a `StringEnumAbstractBase`. *

### calendarValue

    java.util.Calendar calendarValue()

  Deprecated. replaced with `getCalendarValue()`

  Returns the value as a `Calendar`. *

### dateValue

    java.util.Date dateValue()

  Deprecated. replaced with `getDateValue()`

  Returns the value as a `Date`. *

### gDateValue

    GDate gDateValue()

  Deprecated. replaced with `getGDateValue()`

  Returns the value as a `GDate`. *

### gDurationValue

    GDuration gDurationValue()

  Deprecated. replaced with `getGDurationValue()`

  Returns the value as a `GDuration`. *

### qNameValue

    javax.xml.namespace.QName qNameValue()

  Deprecated. replaced with `getQNameValue()`

  Returns the value as a `QName`. *

### listValue

    java.util.List listValue()

  Deprecated. replaced with `getListValue()`

  Returns the value as a `List` of friendly Java objects (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration). *

### xlistValue

    java.util.List xlistValue()

  Deprecated. replaced with `xgetListValue()`

  Returns the value as a `List` of XmlAnySimpleType objects. *

### objectValue

    java.lang.Object objectValue()

  Deprecated. replaced with `getObjectValue()`

  Returns a union value as a its natural friendly Java object (String, Integer, Byte, Short, Long, BigInteger, Decimal, Float, Double, byte[], Calendar, GDuration). *

### set

    void set(java.lang.String obj)

  Deprecated. replaced with `setStringValue(java.lang.String)`

  Sets the value as a `String`. *

### set

    void set(boolean v)

  Deprecated. replaced with `setBooleanValue(boolean)`

  Sets the value as a boolean. *

### set

    void set(byte v)

  Deprecated. replaced with `setByteValue(byte)`

  Sets the value as a byte.

### set

    void set(short v)

  Deprecated. replaced with `setShortValue(short)`

  Sets the value as a short.

### set

    void set(int v)

  Deprecated. replaced with `setIntValue(int)`

  Sets the value as an int.

### set

    void set(long v)

  Deprecated. replaced with `setLongValue(long)`

  Sets the value as a long.

### set

    void set(java.math.BigInteger obj)

  Deprecated. replaced with `setBigIntegerValue(java.math.BigInteger)`

  Sets the value as a `BigInteger`.

### set

    void set(java.math.BigDecimal obj)

  Deprecated. replaced with `setBigDecimalValue(java.math.BigDecimal)`

  Sets the value as a `BigDecimal`

### set

    void set(float v)

  Deprecated. replaced with `setFloatValue(float)`

  Sets the value as a float.

### set

    void set(double v)

  Deprecated. replaced with `setDoubleValue(double)`

  Sets the value as a double.

### set

    void set(byte[] obj)

  Deprecated. replaced with `setByteArrayValue(byte[])`

  Sets the value as a byte array.

### set

    void set(StringEnumAbstractBase obj)

  Deprecated. replaced with `setEnumValue(org.apache.xmlbeans.StringEnumAbstractBase)`

  Sets the value as a `StringEnumAbstractBase`.

### set

    void set(java.util.Calendar obj)

  Deprecated. replaced with `setCalendarValue(java.util.Calendar)`

  Sets the value as a `Calendar`.

### set

    void set(java.util.Date obj)

  Deprecated. replaced with `setDateValue(java.util.Date)`

  Sets the value as a `Date`.

### set

    void set(GDateSpecification obj)

  Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`

  Sets the value as a `GDate`.

### set

    void set(GDurationSpecification obj)

  Deprecated. replaced with `setGDurationValue(org.apache.xmlbeans.GDuration)`

  Sets the value as a `GDuration`.

### set

    void set(javax.xml.namespace.QName obj)

  Deprecated. replaced with `setQNameValue(javax.xml.namespace.QName)`

  Sets the value as a `QName`.

### set

    void set(java.util.List obj)

  Deprecated. replaced with `setListValue(java.util.List)`

  Sets the value as a `List`.

### objectSet

    void objectSet(java.lang.Object obj)

  Deprecated. replaced with `setObjectValue(java.lang.Object)`

  Sets the value as an arbitrary `Object`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD